# v-link

以下の理由のため、vue-router が使用可能になったアプリケーション内部でナビゲーションをハンドリングするために `v-link` ディレクティブを使用する必要があります:

- HTML5 history モード と hash モード両方で同じように動作するため、もしいつかモードを切り替えることに決めた場合、また、ルーターが IE9 では hash モードにフォールバックするとき、何も変更する必要はありません。

- HTML5 history モードでは、`v-link` はブラウザがページのリロードするのを試行しないようにするために、クリックイベントに割り込みます。

- HTML5 history モードで `root` オプションを使用しているとき、`v-link` の URL にそれを含める必要はありません。

#### アクティブリンククラス

`v-link` を利用する要素で、現在のパスが `v-link` の URL にマッチするとき、自動的に対応するクラス名を取得します:

- `.v-link-active` クラスは、現在のパスが `v-link` の URL で開始するとき、要素に適用されます。例えば、`v-link="/a"` による要素は、現在のパスが `/a` で開始する限り、このクラスを取得します。

- `.v-link-active-exact` クラスは、現在のパスが `v-link` の URL の正確にマッチするとき、適用されます。

アクティブリンククラス名はルーターインスタンスを作成するとき、`activeLinkClass` オプションで設定することができます。正確にマッチするクラスは、単に提供されたクラス名に `-exact` 接尾辞(postfix) を追加します。

#### その他の注意事項

- `v-link` は `<a>` 要素で使用するとき、自動的に `href` 属性に設定します。

- `v-link` は[リテラルディレクティブ](http://vuejs.org/guide/directives.html#Literal_Directives)のため、mustache タグを含むことができます。例: `v-link="/user/{% raw %}{{user.name}}{% endraw %}"`
